Productsup

Add a default owner for an integrator.

Sign in to run requests against the CDE API.
POST
/defaults/integrators/{integratorId}/owner

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

integratorId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

owner?string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/defaults/integrators/497f6eca-6276-4993-bfeb-53cbbbba6f08/owner" \  -H "Content-Type: application/json" \  -d '{    "owner": "01a10fc7-a244-7083-b501-cd71ea8c7563"  }'
{
  "message": "Successfully added a new default owner for the integrator.",
  "resource": "integrator-defaults",
  "data": {
    "integrator": "01a10fc7-a242-77b3-a022-8e7ce883476d",
    "has-owner": true,
    "owner": "01a10fc7-a244-7083-b501-cd71ea8c7563",
    "dev-defaults": null,
    "prod-defaults": null
  }
}
{
  "message": "No existing organization member was not found when adding default owner.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}